Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel
Class XSSFPatternFormatting

    java.lang.Object
      org.apache.poi.xssf.usermodel.XSSFPatternFormatting

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.PatternFormatting

    public class XSSFPatternFormatting

extends java.lang.Object
implements org.apache.poi.ss.usermodel.PatternFormatting

Author:
  Yegor Kozlov

Field Summary

Fields inherited from interface org.apache.poi.ss.usermodel.PatternFormatting
`ALT_BARS, BIG_SPOTS, BRICKS, DIAMONDS, FINE_DOTS, LEAST_DOTS, LESS_DOTS, NO_FILL, SOLID_FOREGROUND, SPARSE_DOTS, SQUARES, THICK_BACKWARD_DIAG, THICK_FORWARD_DIAG, THICK_HORZ_BANDS, THICK_VERT_BANDS, THIN_BACKWARD_DIAG, THIN_FORWARD_DIAG, THIN_HORZ_BANDS, THIN_VERT_BANDS`

Method Summary
`short` | `getFillBackgroundColor()`
`short` | `getFillForegroundColor()`
`short` | `getFillPattern()`
`void` | `setFillBackgroundColor(short bg)`
`void` | `setFillForegroundColor(short fg)`
`void` | `setFillPattern(short fp)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFillBackgroundColor

    public short getFillBackgroundColor()

  Specified by:
    `getFillBackgroundColor` in interface `org.apache.poi.ss.usermodel.PatternFormatting`

### getFillForegroundColor

    public short getFillForegroundColor()

  Specified by:
    `getFillForegroundColor` in interface `org.apache.poi.ss.usermodel.PatternFormatting`

### getFillPattern

    public short getFillPattern()

  Specified by:
    `getFillPattern` in interface `org.apache.poi.ss.usermodel.PatternFormatting`

### setFillBackgroundColor

    public void setFillBackgroundColor(short bg)

  Specified by:
    `setFillBackgroundColor` in interface `org.apache.poi.ss.usermodel.PatternFormatting`

### setFillForegroundColor

    public void setFillForegroundColor(short fg)

  Specified by:
    `setFillForegroundColor` in interface `org.apache.poi.ss.usermodel.PatternFormatting`

### setFillPattern

    public void setFillPattern(short fp)

  Specified by:
    `setFillPattern` in interface `org.apache.poi.ss.usermodel.PatternFormatting`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD